Subject: bug#35328: 27.0.50; Lisp reference, "Accepting Output": Should describe what happens to standard error

From: Philipp Stephani <[email-masked]>
Date: Sun, 21 Apr 2019 15:58:11 +0200

Am Sa., 20. Apr. 2019 um 09:13 Uhr schrieb Eli Zaretskii <[email-masked]>:
>
> > From: Philipp <[email-masked]>
> > Date: Fri, 19 Apr 2019 21:36:50 +0200
> >
> > The Emacs Lisp manual section "Accepting Output" now documents how to
> > read all output from a process (thanks!).  However, the section still
> > lacks some discussion what happens to standard error.  Specifically, it
> > should answer the following questions:
> >
> > Does the code
> > (while (accept-process-output PROC))
> > also ensure that all of the standard error has been read and passed to
> > the filter/inserted into the buffer?
>
> I don't think I understand why you say that node doesn't already
> answer this question.  Why did you think standard error is special in
> this regard?

The node doesn't describe what happens with standard error, e.g.
whether standard error is part of "output" and how it's handled. In
particular, I can't see how the node would answer the question I
posted.